<script setup lang="ts">
import { computed } from 'vue'
import { useI18n } from 'vue-i18n'
import CommonAgGrid from '@/features/shared/components/xmCommonAgGrid.vue'


const props = defineProps<{
  contractId: string
  projectScaleKey?: string | null
  projectInfoKey?: string
}>()
const DB_KEY = computed(() => `ht-info-v3-${props.contractId}`)
const XM_DB_KEY = computed(() => {
  if (props.projectScaleKey === null) return undefined
  return props.projectScaleKey || 'xm-info-v3'
})
const BASE_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
const { t } = useI18n()


</script>

<template>
  <CommonAgGrid :title="t('htInfo.scaleDetailTitle')" :dbKey="DB_KEY" :xmInfoKey="XM_DB_KEY" :base-info-key="BASE_INFO_KEY"/>
</template>
